UBB Store

10' RFC100 RFC195 RFC240 RFC400 RFC400UF RFC600 LOW LOSS FLEX COAX RF NO CONECTR
When you click on links to various merchants on this site and make a purchase, this can result in this site earning a commission. Affiliate programs and affiliations include, but are not limited to, the eBay Partner Network.
10' RFC100 RFC195 RFC240 RFC400 RFC400UF RFC600 LOW LOSS FLEX COAX RF NO CONECTR
Price: US $21.39

RFC100, 195 240 and 400 LOW LOSS FLEX COAX RF BARE CABLE SOLD BY 10 FEET SAME OR BETTER THEN TIMES MICROWAVE USA

sale Includes: 10 (Ten) Feet per order of bare cable with No Connectors. Please note if you order multiplequantitiesyou will get longer cable. If you need connectors

Buy Now

Related Items